Delete Rule Set Draft
Deletes the active draft for a rule set. If the rule set already has a published version, runtime stays on the published version. If the rule set only has its initial draft, the rule set is removed.
Endpoints
Section titled “Endpoints”DELETE /v1/projects/:project_id/extractor-rule-sets/:id/draftDELETE /v1/projects/:project_id/pricing-rule-sets/:id/draftAuthentication
Section titled “Authentication”Authorization: Bearer <api-key>Requires rules write access.
Request
Section titled “Request”The request body is empty. There are no query parameters.
Path Parameters
Section titled “Path Parameters”| Field | Required | Description |
|---|---|---|
project_id |
Yes | Project that owns the rule set. |
id |
Yes | Stable rule set ID. |
Response
Section titled “Response”{ "deleted": true, "version": 3}